Create ResourceGroup - m3ter Documentation
Create ResourceGroup
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"version": 123
}
'```
### Python
```python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}"
payload = {
"name": "<string>",
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', version: 123})
};
fetch('https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Examples
Success Response (200)
{
"id": "<string>",
"version": 123,
"name": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Client Error Response (4XX)
{
"message": "<string>"
}
Server Error Response (5XX)
{
"message": "<string>"
}
Parameters
Authorization
- Type: string
- Location: header
- Required: Yes
orgId
- Type: string
- Required: Yes
- Description: UUID of the organization
type
- Type: string
- Required: Yes
- Description: The type of resource
Body
- Content-Type: application/json
name
- Type: string
- Required: Yes
- Description: Required string length:
1 - 100
version
Response
- Content-Type: application/json
id
- Type: string
- Required: Yes
- Description: The UUID of the entity.
version
- Type: integer
- Description: The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
name
- Type: string
- Description: The name of the Resource Group.
dtCreated
- Type: string
- Description: The date and time (in ISO-8601 format) when the Resource Group was created.
dtLastModified
- Type: string
- Description: The date and time (in ISO-8601 format) when the Resource Group was last modified.
createdBy
- Type: string
- Description: The unique identifier (UUID) of the user who created this Resource Group.
lastModifiedBy
- Type: string
- Description: The unique identifier (UUID) of the user who last modified this Resource Group.